const env = {
    api: {
        endpoint: {
            defaultValue: "https://api.wa.alpha.wa-labs.com",
            type: "string",
            description: "Api endpoint",
        },
        port: {
            defaultValue: 443,
            type: "number",
            description: "Api port",
        },
        routePrefix: {
            defaultValue: "/v3",
            type: "string",
            description: "Api route prefix",
        },
        production: {
            defaultValue: false,
            type: "boolean",
            description: "Is production Api?",
        },
        versionCheckerEndpoint: {
            defaultValue: "",
            type: "string",
            description: "Version Checker Api endpoint",
        },
    },
    app: {
        alphaWatermark: {
            defaultValue: true,
            type: "boolean",
            description: "Show alpha watermark",
        },
        betaWatermark: {
            defaultValue: true,
            type: "boolean",
            description: "Show beta watermark",
        },
        favicon: {
            defaultValue: "",
            type: "string",
            description: "App favicon path",
        },
        logo: {
            defaultValue: "",
            type: "string",
            description: "App logo path",
        },
        logoDarkMode: {
            defaultValue: "",
            type: "string",
            description: "App dark mode logo path",
        },
        rootBackground: {
            defaultValue: "",
            type: "string",
            description: "App background image",
        },
        title: {
            defaultValue: "Archer App",
            type: "string",
            description: "App title",
        },
        theme: {
            primaryColor: {
                defaultValue: "#FF0000",
                type: "color",
                description: "App primary color",
            },
            secondaryColor: {
                defaultValue: "#808080",
                type: "color",
                description: "App secondary color",
            },
        },
        "401Redirect": {
            defaultValue: "",
            type: "string",
            description: "Sign in page to redirect users to",
        },
        "404Image": {
            defaultValue: "",
            type: "string",
            description: "404 page image",
        },
    },
    front: {
        hostname: {
            defaultValue: "",
            type: "string",
            description: "App hostname",
        },
        production: {
            defaultValue: "",
            type: "boolean",
            description: "Is production",
        },
    },
    client: {
        contact: {
            defaultValue: "",
            type: "string",
            description: "Client contact",
        },
        name: {
            defaultValue: "",
            type: "string",
            description: "Client name",
        },
        support: {
            defaultValue: "",
            type: "string",
            description: "Support contact",
        },
        website: {
            defaultValue: "",
            type: "string",
            description: "Client website",
        },
    },
    centrifugo: {
        url: {
            defaultValue: "",
            type: "string",
            description: "Centrifugo url",
        },
        token: {
            defaultValue: "",
            type: "string",
            description: "Centrifugo token",
        },
    },
    apiKeys: {
        intercom: {
            defaultValue: "",
            type: "string",
            description: "Intercom appID",
        },
        googleMaps: {
            apiKey: {
                defaultValue: "AIzaSyDZP4-zeA7nmIj7zIW-GcGra1FSk7GKLwE",
                type: "string",
                description: "Google maps API key",
            },
            mapIDs: {
                light: {
                    defaultValue: "147c16fccc039a21",
                    type: "string",
                    description: "Light mode mapID",
                },
                dark: {
                    defaultValue: "8df42a3bd000fcc6",
                    type: "string",
                    description: "Dark mode mapID",
                },
            },
        },
        mui: {
            defaultValue: "0b7d8832b2c146c6fa2ee663544550c0Tz05ODcwOCxFPTE3NTg3NTU4MTIwMDAsUz1wcmVtaXVtLExNPXN1YnNjcmlwdGlvbixQVj1pbml0aWFsLEtWPTI=",
            type: "string",
            description: "MUI License",
        },
        sentry: {
            defaultValue: "",
            type: "string",
            description: "Sentry DSN",
        },
    },
    nerdHistory: {
        historyKey: {
            defaultValue: "",
            type: "string",
            description: "Used to share history accross apps",
        },
        cookieDomain: {
            defaultValue: "",
            type: "string",
            description: "Cookie domain",
        },
    },
    access: {
        defaultValue: "",
        type: "object",
        description: "Map of ID/Roles used by the NerdSecurityAgentWrapper component",
    },
};
export default env;
