export interface EnvType {
    api?: {
        endpoint?: string;
        port?: number;
        production?: boolean;
        routePrefix?: string;
        versionCheckerEndpoint?: string;
    };
    app?: {
        alphaWatermark?: boolean;
        betaWatermark?: boolean;
        favicon?: string;
        logo?: string;
        logoDarkMode?: string;
        rootBackground?: string;
        title?: string;
        theme?: {
            primaryColor?: string;
            secondaryColor?: string;
        };
        shipEndpoint?: string;
        "404Image"?: string;
        "401Redirect"?: string;
    };
    front?: {
        hostname?: string;
        production?: boolean;
    };
    client?: {
        contact?: string;
        name?: string;
        support?: string;
        website?: string;
    };
    centrifugo?: {
        endpoint?: string;
        token?: string;
    };
    apiKeys?: {
        intercom?: string;
        googleMaps?: {
            apiKey?: string;
            mapIDs?: {
                light?: string;
                dark?: string;
            };
        };
        mui?: string;
        sentry?: string;
    };
    access?: Record<string, string[]>;
    nerdHistory?: {
        historyKey?: string;
        cookieDomain?: string;
    };
}
